restinio::easy_parser::impl::non_negative_decimal_number_producer_with_digits_limit_t< T > Class Template Reference

A producer for the case when a non-negative decimal number is expected in the input stream. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::non_negative_decimal_number_producer_with_digits_limit_t< T >:

## Public Member Functions

| non_negative_decimal_number_producer_with_digits_limit_t (digits_to_consume_t digits_limit)
RESTINIO_NODISCARD expected_t< T, parse_error_t > | try_parse (source_t &from) const noexcept
Public Member Functions inherited from restinio::easy_parser::impl::non_negative_decimal_number_producer_t< T >
RESTINIO_NODISCARD expected_t< T, parse_error_t > | try_parse (source_t &from) const noexcept

## Private Attributes

digits_to_consume_t | m_digits_limit

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< T >
using | result_type = T
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< T >
static constexpr entity_type_t | entity_type

## Detailed Description

template<typename T>
class restinio::easy_parser::impl::non_negative_decimal_number_producer_with_digits_limit_t< T >

A producer for the case when a non-negative decimal number is expected in the input stream.

This class takes into account a number of digits to be consumed.

In the case of success returns the extracted number.

Since
  v.0.6.6

Definition at line 2598 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## non_negative_decimal_number_producer_with_digits_limit_t()

template<typename T >

restinio::easy_parser::impl::non_negative_decimal_number_producer_with_digits_limit_t< T >::non_negative_decimal_number_producer_with_digits_limit_t | ( | digits_to_consume_t | digits_limit | ) |

inline

Definition at line 2604 of file easy_parser.hpp.

## Member Function Documentation

## try_parse()

template<typename T >

RESTINIO_NODISCARD expected_t< T, parse_error_t > restinio::easy_parser::impl::non_negative_decimal_number_producer_with_digits_limit_t< T >::try_parse | ( | source_t & | from | ) | const

inline noexcept

Definition at line 2611 of file easy_parser.hpp.

## Member Data Documentation

## m_digits_limit

template<typename T >

digits_to_consume_t restinio::easy_parser::impl::non_negative_decimal_number_producer_with_digits_limit_t< T >::m_digits_limit

private

Definition at line 2601 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp